org.apache.felix.scrplugin.mojo

## Class MavenLog

- java.lang.Object
- - org.apache.felix.scrplugin.mojo.MavenLog

All Implemented Interfaces:
  org.apache.felix.scrplugin.Log

    public class MavenLog
    extends Object
    implements org.apache.felix.scrplugin.Log

The `MavenLog` class implements the `Log` interface using the Maven logger created on instantiation.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug(String content)`
`void` `debug(String content, Throwable error)`
`void` `debug(Throwable error)`
`void` `error(String content)`
`void` `error(String content, String location, int lineNumber)`
`void` `error(String content, String location, int lineNumber, int columnNumber)`
`void` `error(String content, Throwable error)`
`void` `error(Throwable error)`
`void` `info(String content)`
`void` `info(String content, Throwable error)`
`void` `info(Throwable error)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn(String content)`
`void` `warn(String content, String location, int lineNumber)`
`void` `warn(String content, String location, int lineNumber, int columnNumber)`
`void` `warn(String content, Throwable error)`
`void` `warn(Throwable error)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### debug

    public void debug(String content,
                      Throwable error)

Specified by:
  `debug` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.debug(java.lang.String, java.lang.Throwable)`

#### debug

    public void debug(String content)

Specified by:
  `debug` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.debug(java.lang.String)`

#### debug

    public void debug(Throwable error)

Specified by:
  `debug` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.debug(java.lang.Throwable)`

#### error

    public void error(String content,
                      Throwable error)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.error(java.lang.String, java.lang.Throwable)`

#### error

    public void error(String content,
                      String location,
                      int lineNumber)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.error(java.lang.String, java.lang.String, int)`

#### error

    public void error(String content,
                      String location,
                      int lineNumber,
                      int columnNumber)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.error(java.lang.String, java.lang.String, int, int)`

#### error

    public void error(String content)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.error(java.lang.String)`

#### error

    public void error(Throwable error)

Specified by:
  `error` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.error(java.lang.Throwable)`

#### info

    public void info(String content,
                     Throwable error)

Specified by:
  `info` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.info(java.lang.String, java.lang.Throwable)`

#### info

    public void info(String content)

Specified by:
  `info` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.info(java.lang.String)`

#### info

    public void info(Throwable error)

Specified by:
  `info` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.info(java.lang.Throwable)`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.isDebugEnabled()`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.isErrorEnabled()`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.isInfoEnabled()`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.isWarnEnabled()`

#### warn

    public void warn(String content,
                     Throwable error)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.warn(java.lang.String, java.lang.Throwable)`

#### warn

    public void warn(String content,
                     String location,
                     int lineNumber)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.warn(java.lang.String, java.lang.String, int)`

#### warn

    public void warn(String content,
                     String location,
                     int lineNumber,
                     int columnNumber)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.warn(java.lang.String, java.lang.String, int, int)`

#### warn

    public void warn(String content)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.warn(java.lang.String)`

#### warn

    public void warn(Throwable error)

Specified by:
  `warn` in interface `org.apache.felix.scrplugin.Log`
See Also:
  `Log.warn(java.lang.Throwable)`